package org.apache.maven.scm.command.tag;

/*
 * Copyright 2001-2006 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import org.apache.maven.scm.ScmResult;

import java.util.List;

/**
 * @author <a href="mailto:trygvis@inamo.no">Trygve Laugst&oslash;l</a>
 * @version $Id: TagScmResult.java 380685 2006-02-24 15:18:00Z evenisse $
 */
public class TagScmResult
    extends ScmResult
{
    private List taggedFiles;

    public TagScmResult( String commandLine, String providerMessage, String commandOutput, boolean success )
    {
        super( commandLine, providerMessage, commandOutput, success );
    }

    public TagScmResult( String commandLine, List taggedFiles )
    {
        super( commandLine, null, null, true );

        this.taggedFiles = taggedFiles;
    }

    public TagScmResult( List taggedFiles, ScmResult result )
    {
        super( result );

        this.taggedFiles = taggedFiles;
    }

    public List getTaggedFiles()
    {
        return taggedFiles;
    }
}
