package org.apache.maven.scm.command.update;

/*
 * Copyright 2001-2006 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import org.apache.maven.scm.ScmResult;

import java.util.List;

/**
 * @author <a href="mailto:trygvis@inamo.no">Trygve Laugst&oslash;l</a>
 * @author <a href="mailto:evenisse@apache.org">Emmanuel Venisse</a>
 * @version $Id: UpdateScmResultWithRevision.java 382894 2006-03-03 17:27:50Z evenisse $
 */
public class UpdateScmResultWithRevision
    extends UpdateScmResult
{
    private String revision;

    public UpdateScmResultWithRevision( String commandLine, String providerMessage, String commandOutput,
                                        String revision, boolean success )
    {
        super( commandLine, providerMessage, commandOutput, success );

        this.revision = revision;
    }

    public UpdateScmResultWithRevision( String commandLine, List updatedFiles, String revision )
    {
        super( commandLine, updatedFiles );

        this.revision = revision;
    }

    public UpdateScmResultWithRevision( List updatedFiles, List changes, String revision, ScmResult result )
    {
        super( updatedFiles, changes, result );

        this.revision = revision;
    }

    public String getRevision()
    {
        return revision;
    }
}
